<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:background="@color/theme_background_color"
    android:layout_height="match_parent">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_above="@id/btn_print_business"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/theme_background_color"
            android:orientation="vertical">

            <com.lihang.ShadowLayout
                android:id="@+id/layout_business_chart"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_7"
                android:layout_marginTop="@dimen/dp_7"
                android:layout_marginRight="@dimen/dp_7"
                android:paddingBottom="@dimen/dp_15"
                app:hl_cornerRadius="@dimen/dp_8"
                app:hl_dy="@dimen/main_shadow_dy"
                app:hl_shadowBackColor="@color/white"
                app:hl_shadowColor="@color/shadow_color"
                app:hl_shadowLimit="@dimen/main_shadow_limit">

                <LinearLayout
                    android:id="@+id/business_curve_layout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:paddingBottom="@dimen/dp_10"
                    android:paddingRight="@dimen/dp_10">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_marginTop="@dimen/dp_10"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="營業金額"
                            android:textColor="#181818"
                            android:textSize="@dimen/sp_17" />

                        <TextView
                            android:id="@+id/tv_start_time"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="#181818"
                            android:textSize="@dimen/sp_10" />

                        <com.gingersoft.gsa.cloud.ui.view.TriangleView
                            android:id="@+id/iv_start_time_triangle"
                            android:layout_width="@dimen/dp_10"
                            android:layout_height="@dimen/dp_5"
                            android:paddingLeft="@dimen/dp_2"
                            app:trv_direction="bottom" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/dp_7"
                            android:text="到"
                            android:textColor="#999"
                            android:textSize="@dimen/sp_10" />

                        <TextView
                            android:id="@+id/tv_end_time"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/dp_7"
                            android:text="2020-02-14"
                            android:textColor="#181818"
                            android:textSize="@dimen/sp_10" />

                        <com.gingersoft.gsa.cloud.ui.view.TriangleView
                            android:id="@+id/iv_end_time_triangle"
                            android:layout_width="@dimen/dp_8"
                            android:layout_height="@dimen/dp_5"
                            android:layout_marginLeft="@dimen/dp_2"
                            app:trv_direction="bottom" />
                    </LinearLayout>

                    <com.gingersoft.gsa.cloud.ui.AAChartCoreLib.AAChartConfiger.AAChartView
                        android:id="@+id/report_business_chart"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_150"
                        android:layout_marginTop="@dimen/dp_10" />
                </LinearLayout>

            </com.lihang.ShadowLayout>

            <LinearLayout
                android:id="@+id/layout_report_print"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_7"
                android:layout_marginRight="@dimen/dp_7"
                android:layout_below="@+id/layout_business_chart"
                android:orientation="vertical"/>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

    <com.qmuiteam.qmui.alpha.QMUIAlphaButton
        android:id="@+id/btn_print_business"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"
        android:layout_marginBottom="@dimen/dp_10"
        android:background="@drawable/shape_app_btn"
        android:text="打印"
        android:textColor="@color/white"
        android:textSize="@dimen/dp_16" />
</RelativeLayout>